Subject: Re: [PATCH v5 12/15] bugreport: count loose objects

From: Emily Shaffer <[email-masked]>
Date: Tue, 4 Feb 2020 18:50:26 -0800

On Tue, Feb 04, 2020 at 10:48:30AM -0800, Junio C Hamano wrote:
> [email-masked] writes:
> 
> > From: Emily Shaffer <[email-masked]>
> >
> > The number of unpacked objects in a user's repository may help us
> > understand the root of the problem they're seeing, especially if a
> > command is running unusually slowly.
> >
> > Helped-by: Johannes Schindelin <[email-masked]>
> > Signed-off-by: Emily Shaffer <[email-masked]>
> > ---
> > The refactor removed much of the code Dscho suggested; and yet it
> > remains true that he helped me while developing this commit (although
> > his suggestions didn't survive). Shall I leave the Helped-by line or
> > remove it?
> 
> You two collectively thought about viable alternatives and decided
> to reject what was not wanted in the final result, and not having
> that rejected code was good for the project, right?  If so, I would
> say it still is the help that deserves recognition.  After all,
> making the result better by removing things is harder than by adding
> things ;-)

Sounds great to me. I'd rather over-assign credit than under-assign (but
I don't think this is a case of over-assigning here).

> >  bugreport.c | 46 ++++++++++++++++++++++++++++++++++++++++++++++
> >  1 file changed, 46 insertions(+)
> > ...
> 
> The patch text looked sensible.

Thanks.

 - Emily